version: '3.5'
services:             
    postgres:
        image: postgres
        restart: always
        hostname: postgres
        environment: 
            - POSTGRES_USER=root
            - POSTGRES_PASSWORD=root
            - POSTGRES_DB=svc_backend_team  
        ports: 
            - "5432:5432"
    
    pgadmin-compose:
        image: dpage/pgadmin4
        environment: 
            PGADMIN_DEFAULT_EMAIL: "admin@gmail.com"
            PGADMIN_DEFAULT_PASSWORD: "admin123!"
        ports: 
            - "16543:80"
        depends_on: 
            - postgres  
            
    zookeeper:
      image: wurstmeister/zookeeper:3.4.6
      container_name: zookeeper
      hostname: zookeeper
      ports:
        - "2181:2181"
            
    kafka:
      image: wurstmeister/kafka
      container_name: kafka
      hostname: kafka
      ports:
        - "9092:9092"
      expose:
        - "9093"
      environment:
        KAFKA_ADVERTISED_LISTENERS: INSIDE://kafka:9093,OUTSIDE://192.168.99.100:9092
        KAFKA_LISTENER_SECURITY_PROTOCOL_MAP: INSIDE:PLAINTEXT,OUTSIDE:PLAINTEXT
        KAFKA_LISTENERS: INSIDE://0.0.0.0:9093,OUTSIDE://0.0.0.0:9092
        KAFKA_INTER_BROKER_LISTENER_NAME: INSIDE
        KAFKA_ZOOKEEPER_CONNECT: zookeeper:2181
      depends_on:
        - zookeeper
  
    kafdrop:
      image: obsidiandynamics/kafdrop:latest
      container_name: kafdrop
      hostname: kafdrop
      ports:
        - "9000:9000"
      environment:
        KAFKA_BROKERCONNECT: "kafka:9093,zookeeper:2181"
        JVM_OPTS: "-Xms32M -Xmx64M"
        SERVER_SERVLET_CONTEXTPATH: "/"
      depends_on:
        - kafka